Qt Reference Documentation

# Obsolete Members for QUrl

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QUrl class reference

## Static Public Members

QString | fromPunycode ( const QByteArray & pc )`(obsolete)`
QByteArray | toPunycode ( const QString & uc )`(obsolete)`

## Member Function Documentation

### QString QUrl::fromPunycode ( const QByteArray & pc )`[static]`

Returns the Punycode decoded representation of pc.

Punycode is a Unicode encoding used for internationalized domain names, as defined in RFC3492. If you want to convert a domain from its ASCII-compatible encoding to the Unicode representation, use fromAce().

### QByteArray QUrl::toPunycode ( const QString & uc )`[static]`

Returns a uc in Punycode encoding.

Punycode is a Unicode encoding used for internationalized domain names, as defined in RFC3492. If you want to convert a domain name from Unicode to its ASCII-compatible representation, use toAce().